> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dotfiles Configuration

> Gets the dotfiles for a user.

`Unary` · [`Users`](https://ona.com/docs/api-reference/generated/user/overview)

Gets the dotfiles for a user.

Use this method to:

* Retrieve user dotfiles

### Examples

* Get dotfiles:

  Retrieves the dotfiles for the current user.

  ```yaml theme={null}
  {}
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.UserService/GetDotfilesConfiguration
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.UserService/GetDotfilesConfiguration" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{}'
```

```python Python theme={null}
import gitpod.v1.user_pb2 as user_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = user_pb2.GetDotfilesConfigurationRequest()
response = ona.services.user.get_dotfiles_configuration(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetDotfilesConfigurationRequestSchema } from "@gitpod/sdk/gitpod/v1/user_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(GetDotfilesConfigurationRequestSchema, {});
  const response = await ona.services.user.getDotfilesConfiguration(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.GetDotfilesConfigurationRequest{})
	response, err := ona.Services.User.GetDotfilesConfiguration(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{}
```

## Request

`gitpod.v1.GetDotfilesConfigurationRequest`

This message has no fields.

## Response

`gitpod.v1.GetDotfilesConfigurationResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `dotfilesConfiguration` | [DotfilesConfiguration](#type-gitpod-v1-dotfiles-configuration) | Yes | Constraints: `required=true`. |

## Related types

> [accordion] DotfilesConfiguration
>
> `gitpod.v1.DotfilesConfiguration`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `repository` | string | No | The URL of a dotfiles repository. Constraints: `ignore=1, string.uri=true`. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.